thinQmaster Virtual testing partner Adaptive practice exams that find your weak spots and drill them. Every answer explained. From $69
Enroll

thinQmaster

Find your exam

Five questions free, before you decide.

Step 1 · choose a vendor

In one of our camps? Your practice exams come with the tuition — they are on your study page already.

Collaboration, Voice & AV · Advanced

Key Press Markup Language (KPML)

A SIP event package (RFC 4730) that reports dialed digits from an endpoint using SUBSCRIBE and NOTIFY messages.

Definition

KPML lets the call control agent subscribe to an endpoint's key presses, receiving digits in XML bodies of SIP NOTIFY messages. Cisco SIP phones use KPML for digit-by-digit dialing to CUCM and for out-of-band DTMF. KPML is a signaling-path method, so it does not traverse a media path the way RFC 4733 does.

Example

A Cisco 8800 SIP phone sends each digit to CUCM in a KPML NOTIFY while the user dials an overlapped number.

Exam tip

Know that Cisco SIP phones support KPML and RFC 2833; CUCM interworks them with an MTP when trunks differ.

Related terms